%define is_f19 %(test "0%{?fedora}" -eq "019" && echo 1 || echo 0)

Summary:        A plugin to make oVirt Node installs compatible with oVirt Engine and vdsm
Name:           ovirt-node-plugin-vdsm
Version:        0.1.1
Release:        16%{?BUILD_NUMBER}%{?extra_release}%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2+
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.ovirt.org/
Requires:       ovirt-node >= 3.0.0
Requires:       python
Requires:       vdsm-reg >= 4.10.3
Requires:       ovirt-host-deploy-offline >= 1.1.0
%if ! 0%{?centos}
Requires:       vdsm-hook-vhostmd
%endif
Requires(post): augeas

BuildArch:      noarch

Patch0: 0001-ovirt-node-plugin-vdsm.spec-remove-autoreconf.patch
Patch1: 0002-engine_page-Add-validation-for-cert-remove.patch
Patch2: 0003-engine_page-replace-log-import.patch
Patch3: 0004-engine_page-replace-TBD-string.patch
Patch4: 0005-engine_page-valid.Empty-handling-None.patch
Patch5: 0006-engine_page-fix-logic-to-show-fingerprint-msg.patch
Patch6: 0007-engine_page-replace-None-to-is-not-None.patch
Patch7: 0008-engine_page-ovirt.node.config.defaults-SSH.patch
Patch8: 0009-Use-Management-class-to-pass-informations.patch
Patch9: 0010-engine_page-management-info-for-autoinstall.patch
Patch10: 0011-engine_page-Remove-Retrieve-Certificate-button.patch

%define app_root %{_datadir}/%{name}
%define recipe_root %{_datadir}/ovirt-node-recipe

%description
Provides UI and associated scripts for integrating oVirt Node and oVirt Engine

%package recipe
Summary:        Kickstarts for building oVirt Node isos including %{name}
Group:          Applications/System
Requires:       ovirt-node-recipe >= 2.6.0

%description recipe
Provides kickstart files for generating an oVirt Node ISO image containing
%{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%configure

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post
# semanage is not present in the image and virt_use_nfs is on (see rhbz#642209)
# remove it from vdsmd startup script to avoid error
sed -i 's#/usr/sbin/semanage#/bin/true#' /etc/rc.d/init.d/vdsmd

# libvirtd upstart job is already configured on rhevh
sed -i 's/ && start_libvirtd$//' /etc/rc.d/init.d/vdsmd

# chkconfig results (symlinks) cannnot be peristed
sed -i 's#/sbin/chkconfig \$srv off##' /etc/rc.d/init.d/vdsmd

# reserve vdsm port 54321
augtool << \EOF_sysctl
set /files/etc/sysctl.conf/net.ipv4.ip_local_reserved_ports 54321
save
EOF_sysctl

#SELinux Booleans
/usr/sbin/setsebool -P virt_use_nfs=1 \
                       virt_use_sanlock=1 \
                       sanlock_use_nfs=1

# ensure Network Manager is disabled
%if %{is_f19}
/usr/bin/systemctl mask NetworkManager.service
%endif

%preun

%files recipe
%{recipe_root}

%files
%{python_sitelib}/ovirt/node/setup/vdsm
%{_sysconfdir}/ovirt-plugins.d

%changelog
* Thu Apr 17 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-16
- engine_page: Remove Retrieve Certificate button (BZ#1086841)

* Fri Jan 10 2014 Douglas Schilling Langraf <dougsland@redhat.com> - 0.1.1-13
- engine_page: management info for autoinstall (BZ#1048929)

* Thu Jan 9 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-12
- Use Management class to pass informations (BZ#1048929)

* Wed Nov 20 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-11
- engine_page: ovirt.node.config.defaults SSH

* Wed Nov 06 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.1-10
- engine_page: valid.Empty() handling None
- engine_page: fix logic to show fingerprint msg
- engine_page: replace != None to is not None

* Fri Oct 25 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.0.9
- engine_page: replace TBD string

* Mon Oct 21 2013 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.0.8
- engine_page: replace log import
- engine_page: Add validation for cert remove

* Sun Aug 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.7
- ovirt-node-plugin-vdsm.spec: remove Requires: vdsm-gluster (DOWNSTREAM only)

* Sun Aug 4 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.6
- ovirt-node-plugin-vdsm.spec: remove autoreconf

* Thu Aug 1 2013 Douglas Schilling Landgraf <dougsland@redhat.com> 0.0.5
- Rebuild for RHEV

* Fri May 17 2013 Mike Burns <mburns@redhat.com> 0.0.2
- Rename to ovirt-node-plugin-vdsm
- rebase onto ovirt-node 3.0.0 codebase
- add note about changing sshd when setting passwd
- fix password changing
- fix some requirements
- add minimization

* Fri Feb 15 2013 Mike Burns <mburns@redhat.com> 0.0.1
- initial commit
- engine_page from current ovirt-node
